/home/travis/build/boostorg/boost/boost/geometry/util/normalize_spheroidal_coordinates.hpp File Reference

## Namespaces

namespace | boost
namespace | boost::geometry
namespace | boost::geometry::math

## Functions

template<typename Units , typename CoordinateType >
CoordinateType | boost::geometry::math::longitude_distance_signed (CoordinateType const &longitude1, CoordinateType const &longitude2)
| Short utility to calculate difference between two longitudes normalized in range (-180, 180].
template<typename Units , typename CoordinateType >
CoordinateType | boost::geometry::math::longitude_distance_unsigned (CoordinateType const &longitude1, CoordinateType const &longitude2)
| Short utility to calculate difference between two longitudes normalized in range [0, 360).
template<typename Units , typename CoordinateType >
void | boost::geometry::math::normalize_longitude (CoordinateType &longitude)
| Short utility to normalize the longitude on a spheroid. Note that in general both coordinates should be normalized at once. This utility is suitable e.g. for normalization of the difference of longitudes.
template<typename Units , typename CoordinateType >
void | boost::geometry::math::normalize_spheroidal_coordinates (CoordinateType &longitude, CoordinateType &latitude)
| Short utility to normalize the coordinates on a spheroid.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK